Subject: Re: U-boot CPU post failure on 405gp

From: Martin Hicks <[email-masked]>
Date: Thu, 30 Mar 2006 19:51:19 -0500

On Thu, Mar 30, 2006 at 04:11:43PM -0500, Martin Hicks wrote:
> 
> POST cpu link = 0
> ret = -1, link = 0, code = 03fa5ab8, lr = 0
> 
> It looks clear to me that link == 0, so the test worked fine.
> 
> However, if I take away the "static" from the cpu_post_test_bc()
> declaration then everything works fine.
> 
> I've posted "objdump -dS" output for post/cpu/b.o with and without
> cpu_post_test_bc() declared as static at:

It looks like the problem is the automatic inlining of the static
function.  If I declare cpu_post_test_bc as:

__attribute__((noinline))
static int cpu_post_test_bc (ulong cmd, ulong bo, ulong bi,
    int pjump, int dec, int link, ulong pctr, ulong cr)

Then the test completes.
mh

-- 
Martin Hicks || [email-masked] || PGP/GnuPG: 0x4C7F2BEE